org.eclipse.emf.compare.provider

## Interface ISemanticObjectLabelProvider

All Known Implementing Classes:
  AttributeChangeItemProviderSpec, ExtendedAdapterFactoryItemDelegator, FeatureMapChangeItemProviderSpec, MatchItemProviderSpec, ReferenceChangeItemProviderSpec, ResourceAttachmentChangeItemProviderSpec, ResourceLocationChangeItemProviderSpec

    public interface ISemanticObjectLabelProvider

Provider of labels for semantic objects.

Since:
  4.2

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSemanticObjectLabel(Object object)` Returns the label for the given object.

### Method Detail

#### getSemanticObjectLabel

    String getSemanticObjectLabel(Object object)

Returns the label for the given object.

Parameters:
  `object` - The object to evaluate the label for
Returns:
  the label